PGPAINLESS-CLI-DECRYPT(1)

NAME
pgpainless-cli-decrypt - Decrypt a message

SYNOPSIS

pgpainless-cli decrypt [--stacktrace] [--session-key-out=SESSIONKEY] [--verifications-out=VERIFICATIONS] [--verify-not-after=DATE] [--verify-not-before=DATE] [--verify-with=CERT]... [--with-key-password=PASSWORD]... [--with-password=PASSWORD]... [--with-session-key=SESSIONKEY]... [KEY...]

DESCRIPTION

OPTIONS

--session-key-out=SESSIONKEY
    Can be used to learn the session key on successful decryption

--stacktrace
    Print stacktrace

--verifications-out=VERIFICATIONS, --verify-not-after=DATE
    ISO-8601 formatted UTC date (e.g. '2020-11-23T16:35Z)

    Reject signatures with a creation date not in range.

    Defaults to current system time ('now').

    Accepts special value '-' for end of time.

--verify-not-before=DATE
    ISO-8601 formatted UTC date (e.g. '2020-11-23T16:35Z)

    Reject signatures with a creation date not in range.

    Defaults to beginning of time ('-').

--verify-with=CERT
    Certificates for signature verification

--with-key-password=PASSWORD
    Passphrase to unlock the secret key(s).

    Is an INDIRECT data type (e.g. file, environment variable, file descriptor...).

--with-password=PASSWORD
    Symmetric passphrase to decrypt the message with.

    Enables decryption based on any "SKESK" packets in the "CIPHERTEXT".

    Is an INDIRECT data type (e.g. file, environment variable, file descriptor...).

--with-session-key=SESSIONKEY
    Symmetric message key (session key).

    Enables decryption of the "CIPHERTEXT" using the session key directly against the "SEIPD" packet.

    Is an INDIRECT data type (e.g. file, environment variable, file descriptor...).

ARGUMENTS

[KEY...]
    Secret keys to attempt decryption with